当サイト、Codex 日本語版は今後積極的な更新は行わない予定です。後継となる新ユーザーマニュアルは、https://ja.wordpress.org/support/ にあります。
万が一、当サイトで重大な問題を発見した際などは、フォーラムWordSlack #docs チャンネルでお知らせください。</p>

「FAQ/インストール」の版間の差分

提供: WordPress Codex 日本語版
< FAQ
移動先: 案内検索
(en:FAQ Installation 2008年4月26日 (土) 01:46 MichaelH 版)
 
(書式・リンク微調整、未翻訳/2.5 の db_version を要確認)
1行目: 1行目:
[[FAQ|Back to FAQ]]
+
{{NeedTrans}}
 
__TOC__
 
__TOC__
<div style="clear:both; height:20px"></div>
 
  
 +
<div id="Installation">
 
== Installation ==
 
== Installation ==
 +
</div>
 +
<div id="How_do_I_install_WordPress.3F">
 
===How do I install WordPress?===
 
===How do I install WordPress?===
 +
</div>
 
See also:
 
See also:
* [[Installing WordPress]]
+
* [[WordPress のインストール]]
 
* [http://install4free.wordpress.net Install4Free]
 
* [http://install4free.wordpress.net Install4Free]
  
 +
<div id="What_is_the_Famous_5-Minute_Install.3F">
 
===What is the Famous 5-Minute Install? ===
 
===What is the Famous 5-Minute Install? ===
 +
</div>
 
See also:
 
See also:
* [[Installing_WordPress#Famous_5-Minute_Install|The WordPress Famous 5-Minute Install]]
+
* [[WordPress のインストール#Famous_5-Minute_Install|The WordPress Famous 5-Minute Install]]
  
 +
<div id="How_do_I_find_a_good_host_for_my_WordPress_blog.3F">
 
===How do I find a good host for my WordPress blog?===
 
===How do I find a good host for my WordPress blog?===
 +
</div>
 
See also:
 
See also:
* [[Hosting WordPress]]
+
* [[サーバの用意]]
  
 +
<div id="How_do_I_install_using_CPanel_.2F_CPanel_X.3F">
 
===How do I install using CPanel / CPanel X?===
 
===How do I install using CPanel / CPanel X?===
 +
</div>
 
See also:
 
See also:
* [[cPanel_X]]
+
* [[Using cPanel]] /[[:en:Using cPanel|en]]<!-- 原文で cPanel_X → Using cPanel へリダイレクトしているので修正 -->
  
 +
<div id="How_do_I_configure_the_.27wp-config.27_file.3F">
 
===How do I configure the 'wp-config' file?===
 
===How do I configure the 'wp-config' file?===
 +
</div>
 
See also:
 
See also:
* [[Editing_wp-config.php]]
+
* [[wp-config.php の編集]]
  
 +
<div id="What_are_the_requirements_for_installing_WordPress.3F">
 
===What are the requirements for installing WordPress?===
 
===What are the requirements for installing WordPress?===
 +
</div>
 
See also:
 
See also:
* [[Hosting WordPress]] and [http://wordpress.org/about/requirements/ Requirements at WordPress.org]
+
* [[サーバの用意]] and [http://wordpress.org/about/requirements/ Requirements at WordPress.org]
  
 +
<div id="How_do_I_get_WordPress_to_use_my_language.3F">
 
===How do I get WordPress to use my language?===
 
===How do I get WordPress to use my language?===
 +
</div>
 
See also:
 
See also:
* [[WordPress Localization]]
+
* [[WordPress in Your Language]]<!-- 原文は WordPress Localization → WordPress in Your Language へリダイレクトしているので修正 -->
  
 +
<div id="Do_I_need_to_create_a_database.3F">
 
===Do I need to create a database?===
 
===Do I need to create a database?===
 +
</div>
  
WordPress requires access to a [[Glossary#MySQL|MySQL database]] database to store information. So you need a database.  
+
WordPress requires access to a [[用語集#MySQL|MySQL database]] database to store information. So you need a database.  
  
 
You can create a new database if:
 
You can create a new database if:
43行目: 60行目:
 
It is not essential to create a new database for each WordPress installation.  
 
It is not essential to create a new database for each WordPress installation.  
  
*If you are using the same database for multiple WordPress installations, take care to edit the [[Editing wp-config.php|wp-config.php]] file ensuring that each installation has a unique database prefix.
+
*If you are using the same database for multiple WordPress installations, take care to edit the [[wp-config.php の編集|wp-config.php]] file ensuring that each installation has a unique database prefix.
*If you are setting up a new database for a new blog, edit [[Editing wp-config.php|wp-config.php]], and be sure to get the database name, and other details correct.
+
*If you are setting up a new database for a new blog, edit [[wp-config.php の編集|wp-config.php]], and be sure to get the database name, and other details correct.
  
 
See also:
 
See also:
* [[Installation#Detailed_Instructions|Installation, Detailed Instructions]]
+
* [[WordPress のインストール#Detailed_Instructions|Installation, Detailed Instructions]]
  
 +
<div id="What_is_the_403_error_I_get_when_trying_to_see_my_site.3F">
 
===What is the 403 error I get when trying to see my site?===
 
===What is the 403 error I get when trying to see my site?===
 +
</div>
 
'''Symptoms:''' You cannot seem to login after using the right username and password, into your admin account. You get an error message like:
 
'''Symptoms:''' You cannot seem to login after using the right username and password, into your admin account. You get an error message like:
  
69行目: 88行目:
 
If necessary, contact your web host for support in this matter.
 
If necessary, contact your web host for support in this matter.
  
 +
<div id="Can_I_rename_the_WordPress_folder.3F">
 
===Can I rename the WordPress folder?===
 
===Can I rename the WordPress folder?===
 +
</div>
 
If you have not already installed WordPress, you can rename the folder with the WordPress files, before, or even after uploading the files.
 
If you have not already installed WordPress, you can rename the folder with the WordPress files, before, or even after uploading the files.
  
If you have already installed WordPress, and you want to rename the folder, login to the weblog as the administrator and change the following settings in [[Administration_Panels#Options_-_Configuration_Settings|Options]] > [[Administration_Panels#General|General]]:
+
If you have already installed WordPress, and you want to rename the folder, login to the weblog as the administrator and change the following settings in [[管理パネル#Settings - Configuration Settings|Options]] > [[管理パネル#General|General]]:
  
 
* WordPress address (URI):
 
* WordPress address (URI):
80行目: 101行目:
  
 
See also:
 
See also:
* [[Moving WordPress|Moving Wordpress]]
+
* [[Moving WordPress|Moving Wordpress]] /[[:en:Moving WordPress|en]]
  
 +
<div id="How_can_I_reset_my_password.3F">
 
===How can I reset my password?===
 
===How can I reset my password?===
 +
</div>
 
See also:
 
See also:
* [[Resetting Your Password]] and http://www.tamba2.org.uk/wordpress/phpmyadmin
+
* [[Resetting Your Password]]/[[:en:Resetting Your Password|en]] and http://www.tamba2.org.uk/wordpress/phpmyadmin
  
 +
<div id="Why_is_my_upload_directory_.22C:apachehtdocswordpress.22.3F">
 
===Why is my upload directory "C:apachehtdocswordpress"?===
 
===Why is my upload directory "C:apachehtdocswordpress"?===
 +
</div>
 
When you specified the upload path, you used backslashes.
 
When you specified the upload path, you used backslashes.
  
 
Use forward slashes "/" to specify the path to the directory.
 
Use forward slashes "/" to specify the path to the directory.
  
 +
<div id="Can_I_install_WordPress_on_Windows_2000.3F">
 
===Can I install WordPress on Windows 2000?===
 
===Can I install WordPress on Windows 2000?===
Do '''NOT''' use [[Glossary#MySQL|MySQL database]] version 4.1.7 if you are trying to get WordPress installed using a Windows platform. Read this post originally made to the forums:
+
</div>
 +
Do '''NOT''' use [[用語集#MySQL|MySQL database]] version 4.1.7 if you are trying to get WordPress installed using a Windows platform. Read this post originally made to the forums:
 
<blockquote>
 
<blockquote>
 
"To all those having problems installing Wordpress on your own Windows 2000 (and other Win OS versions) workstation - and maybe some host servers, too: Do not use MySQL 4.1.7 - it is the problem if you get "Error establishing a database connection!". It does not seem compatible with the other components. Use MYSQL 4.0.22 instead.<br /><br />
 
"To all those having problems installing Wordpress on your own Windows 2000 (and other Win OS versions) workstation - and maybe some host servers, too: Do not use MySQL 4.1.7 - it is the problem if you get "Error establishing a database connection!". It does not seem compatible with the other components. Use MYSQL 4.0.22 instead.<br /><br />
117行目: 144行目:
 
'''Note:''' The above are actual user comments, and may be subjective in their content. It is hoped that it will be of help to some users who face the specific problems that are addressed by this question.
 
'''Note:''' The above are actual user comments, and may be subjective in their content. It is hoped that it will be of help to some users who face the specific problems that are addressed by this question.
  
 +
<div id="Advanced_Installation">
 
==Advanced Installation==
 
==Advanced Installation==
 +
</div>
  
 +
<div id="How_do_I_install_WordPress_with_the_files_in_different_directories.3F">
 
===How do I install WordPress with the files in different directories?===
 
===How do I install WordPress with the files in different directories?===
 +
</div>
 
This also answers the questions:
 
This also answers the questions:
  
127行目: 158行目:
  
 
See also:
 
See also:
* [[Giving_WordPress_Its_Own_Directory|Giving WordPress Its Own Directory]]
+
* [[Giving WordPress Its Own Directory|Giving WordPress Its Own Directory]]
* [[Moving WordPress]]
+
* [[Moving WordPress]] /[[:en:Moving WordPress|en]]
  
 +
<div id="How_can_I_hide_my_blog_from_people.3F">
 
===How can I hide my blog from people?===
 
===How can I hide my blog from people?===
 +
</div>
 
Whether you are testing a new version of WordPress, setting up a new blog or have some other reason to limit access, the following information may help you keep unwanted visitors out.
 
Whether you are testing a new version of WordPress, setting up a new blog or have some other reason to limit access, the following information may help you keep unwanted visitors out.
  
162行目: 195行目:
 
Search Engines will index your site and cache your content.  If you do not want this to happen, use a file called '''robots.txt'''. More details can be found at [http://www.searchengineworld.com/robots/robots_tutorial.htm  SearchEngineWorld.com]
 
Search Engines will index your site and cache your content.  If you do not want this to happen, use a file called '''robots.txt'''. More details can be found at [http://www.searchengineworld.com/robots/robots_tutorial.htm  SearchEngineWorld.com]
  
 +
<div id="How_can_I_solve_login_problems.3F">
 
===How can I solve login problems?===
 
===How can I solve login problems?===
 +
</div>
 
See also:
 
See also:
* [[Login Trouble]]
+
* [[Login Trouble]] /[[:en:Login Trouble|en]]
 
* [http://faq.wordpress.net/view.php?p=68 How I solve login problems after installation with version 1.2 ?]
 
* [http://faq.wordpress.net/view.php?p=68 How I solve login problems after installation with version 1.2 ?]
  
 +
<div id="FTP">
 
==FTP==
 
==FTP==
 +
</div>
 +
 +
<div id="How_do_I_FTP.3F">
 
===How do I FTP?===
 
===How do I FTP?===
 +
</div>
 
See also:
 
See also:
* [[Using FileZilla]] and [[FTP Clients]]
+
* [[Using FileZilla]]/[[:en:Using FileZilla|en]] and [[FTP Clients]]
  
 +
<div id="How_do_I_use_Filezilla.3F">
 
===How do I use Filezilla?===
 
===How do I use Filezilla?===
 +
</div>
 
See also:
 
See also:
* [[Using FileZilla]]
+
* [[Using FileZilla]] /[[:en:Using FileZilla|en]]
  
 +
<div id="How_do_I_upload_the_files_and_folders.3F">
 
===How do I upload the files and folders?===
 
===How do I upload the files and folders?===
 +
</div>
 
See also:
 
See also:
* [[Uploading WordPress to a remote host]]
+
* [[Uploading WordPress to a remote host]] /[[:en:Uploading WordPress to a remote host|en]]
  
 +
<div id="How_do_I_CHMOD_files.3F">
 
===How do I CHMOD files?===
 
===How do I CHMOD files?===
 +
</div>
 
See also:
 
See also:
 
* [[Changing File Permissions]]
 
* [[Changing File Permissions]]
  
 +
<div id="MySQL">
 
==MySQL==
 
==MySQL==
 +
</div>
 +
<div id="Do_I_really_need_MySQL.3F">
 
===Do I really need MySQL?===
 
===Do I really need MySQL?===
You certainly need the [[Glossary#MySQL|MySQL]] database server to power your WordPress blog. In fact, WordPress only supports the [[Glossary#MySQL|MySQL]] database server.  Listed are the PHP and MySQL requirements:
+
</div>
 +
You certainly need the [[用語集#MySQL|MySQL]] database server to power your WordPress blog. In fact, WordPress only supports the [[用語集#MySQL|MySQL]] database server.  Listed are the PHP and MySQL requirements:
  
{{Server requirements}}
+
{{:サーバ要件}}
  
 +
<div id="Can_I_use_a_database_other_than_MySQL.3F">
 
===Can I use a database other than MySQL?===
 
===Can I use a database other than MySQL?===
 +
</div>
 
Other databases are not supported at the moment.
 
Other databases are not supported at the moment.
  
There are several other excellent database storage engines, such as PostgreSQL and SQLite that WordPress is interested in supporting in the future. Suppporting multiple databases is trickier than it sounds and is not under active development, although there are plenty of architectural discussions about the best approach to take.  Approaches for increasing the number of supported databases are discussed at [[Using Alternative Databases]].  There is a PostgreSQL port of WordPress available called [http://wordpress-pg.sourceforge.net/ WordPress-Pg].
+
There are several other excellent database storage engines, such as PostgreSQL and SQLite that WordPress is interested in supporting in the future. Suppporting multiple databases is trickier than it sounds and is not under active development, although there are plenty of architectural discussions about the best approach to take.  Approaches for increasing the number of supported databases are discussed at [[Using Alternative Databases]]/[[:en:Using Alternative Databases|en]].  There is a PostgreSQL port of WordPress available called [http://wordpress-pg.sourceforge.net/ WordPress-Pg].
  
 +
<div id="Why_does_WordPress_use_MySQL.3F">
 
===Why does WordPress use MySQL?===
 
===Why does WordPress use MySQL?===
[[Glossary#MySQL|MySQL]] is extremely fast. It is also the most widely available database server in the world. Open-source and free, [[Glossary#MySQL|MySQL]] is supported by thousands of low-cost [[Glossary#Linux|Linux]] (and Windows!) hosts, which means a very low barrier to entry for anyone wanting to start a WordPress (or database-driven) website. [http://www.mysql.com/documentation/ MySQL's documentation] is useful, cogent and thorough. (Note: it may be intimidating if you are new to all this.) Add to all that the fact that users are able to directly manipulate [[Glossary#MySQL|MySQL]] with [[phpMyAdmin]], developed expressly for that purpose, and it is obvious that [[Glossary#MySQL|MySQL]] is the best choice. Of course, WordPress insists on the best.
+
</div>
 +
[[用語集#MySQL|MySQL]] is extremely fast. It is also the most widely available database server in the world. Open-source and free, [[用語集#MySQL|MySQL]] is supported by thousands of low-cost [[用語集#Linux|Linux]] (and Windows!) hosts, which means a very low barrier to entry for anyone wanting to start a WordPress (or database-driven) website. [http://www.mysql.com/documentation/ MySQL's documentation] is useful, cogent and thorough. (Note: it may be intimidating if you are new to all this.) Add to all that the fact that users are able to directly manipulate [[用語集#MySQL|MySQL]] with [[phpMyAdmin]]/[[:en:phpMyAdmin|en]], developed expressly for that purpose, and it is obvious that [[用語集#MySQL|MySQL]] is the best choice. Of course, WordPress insists on the best.
  
 +
<div id="PHP">
 
== PHP ==
 
== PHP ==
 +
</div>
 +
<div id="What_is_phpMyAdmin.3F">
 
===What is phpMyAdmin?===
 
===What is phpMyAdmin?===
 +
</div>
 
phpMyAdmin is a tool written in PHP intended to handle the administration of MySQL over the Web.  
 
phpMyAdmin is a tool written in PHP intended to handle the administration of MySQL over the Web.  
  
 
See also:
 
See also:
* [[phpMyAdmin]]
+
* [[phpMyAdmin]] /[[:en:phpMyAdmin|en]]
  
 +
<div id="Do_I_need_to_know_PHP_to_use_WordPress_.3F">
 
===Do I need to know PHP to use WordPress ?===
 
===Do I need to know PHP to use WordPress ?===
No. The only time you would modify your WordPress blog with [[Glossary#PHP|PHP]] would be when integrating some of the [[Plugins|plugins]]. In most cases clear instructions are given within a text file that accompanies the [[Plugins|plugin]]. Other than that, you would not be changing any of the PHP files.  
+
</div>
 +
No. The only time you would modify your WordPress blog with [[用語集#PHP|PHP]] would be when integrating some of the [[プラグイン|plugins]]. In most cases clear instructions are given within a text file that accompanies the [[プラグイン|plugin]]. Other than that, you would not be changing any of the PHP files.  
  
 
See also:
 
See also:
 
* [http://faq.wordpress.net/view.php?p=31 Do I need to know PHP to use WordPress?]
 
* [http://faq.wordpress.net/view.php?p=31 Do I need to know PHP to use WordPress?]
  
 +
<div id="Will_Wordpress_run_in_PHP_Safe_Mode.3F">
 
===Will Wordpress run in PHP Safe Mode?===
 
===Will Wordpress run in PHP Safe Mode?===
Most definitely! There are no known issues with any version of WordPress when [[Glossary#PHP|PHP]] is running in Safe Mode.
+
</div>
 +
Most definitely! There are no known issues with any version of WordPress when [[用語集#PHP|PHP]] is running in Safe Mode.
  
 +
<div id="Do_I_really_need_PHP.3F">
 
===Do I really need PHP?===
 
===Do I really need PHP?===
You certainly need [[Glossary#PHP|PHP]] (version 4.1 or newer) to power your WordPress blog. [[Glossary#PHP|PHP]] is the scripting language that drives all of WordPress, and without [[Glossary#PHP|PHP]], your server will not be able to interpret the pages that create your weblog.  
+
</div>
 +
You certainly need [[用語集#PHP|PHP]] (version 4.1 or newer) to power your WordPress blog. [[用語集#PHP|PHP]] is the scripting language that drives all of WordPress, and without [[用語集#PHP|PHP]], your server will not be able to interpret the pages that create your weblog.  
  
 +
<div id="How_do_I_find_out_which_version_of_PHP_I_have.3F">
 
===How do I find out which version of PHP I have?===
 
===How do I find out which version of PHP I have?===
To get information about your server, you can use the [http://php.net/phpinfo ''phpinfo()''] function.  This will also give you information about your [[Glossary#Apache|Apache]] and [[Glossary#PHP|PHP]] version and [[Glossary#mod_rewrite| mod_rewrite]].
+
</div>
 +
To get information about your server, you can use the [http://php.net/phpinfo ''phpinfo()''] function.  This will also give you information about your [[用語集#Apache|Apache]] and [[用語集#PHP|PHP]] version and [[用語集#mod_rewrite| mod_rewrite]].
  
 
See also:  
 
See also:  
* [[Finding Server Info]]
+
* [[Finding Server Info]] /[[:en:Finding Server Info|en]]
  
 +
<div id="Importing">
 
== Importing ==
 
== Importing ==
 +
</div>
 +
<div id="How_can_I_import_posts_from_my_current_weblog_which_uses_a_different_blogging_tool.3F">
 
===How can I import posts from my current weblog which uses a different blogging tool?===
 
===How can I import posts from my current weblog which uses a different blogging tool?===
 +
</div>
 
See also:
 
See also:
* [[Importing Content]]
+
* [[Importing Content]] /[[:en:Importing Content|en]]
  
 +
<div id="How_do_I_import_from_b2.3F">
 
===How do I import from b2?===
 
===How do I import from b2?===
 +
</div>
 
See also:
 
See also:
* [[Importing_Content#b2|Importing from b2]]
+
* [[Importing Content#b2|Importing from b2]] /[[:en:Importing Content#b2|en]]
  
 +
<div id="How_do_I_import_from_Movable_Type_MT.3F">
 
===How do I import from Movable Type MT?===
 
===How do I import from Movable Type MT?===
 +
</div>
 
See also:
 
See also:
* [[Importing from Movable Type to WordPress]]
+
* [[Importing from Movable Type to WordPress]] /[[:en:Importing from Movable Type to WordPress|en]]
  
 +
<div id="How_do_I_import_from_Blogger.3F">
 
===How do I import from Blogger?===
 
===How do I import from Blogger?===
 +
</div>
 
See also:
 
See also:
* [[Importing_Content#Blogger|Importing from Blogger]]
+
* [[Importing Content#Blogger|Importing from Blogger]] /[[:en:Importing Content#Blogger|en]]
  
 +
<div id="How_do_I_import_from_Text_Pattern.3F">
 
===How do I import from Text Pattern?===
 
===How do I import from Text Pattern?===
 +
</div>
 
See also:
 
See also:
* [[Importing_Content#Textpattern|Importing from Text Pattern]]
+
* [[Importing Content#Textpattern|Importing from Text Pattern]] /[[:en:Importing Content#Textpattern|en]]
  
 +
<div id="How_do_I_import_from_a_generic_RSS_Feed.3F">
 
===How do I import from a generic RSS Feed?===
 
===How do I import from a generic RSS Feed?===
 +
</div>
 
See also:
 
See also:
* [[Importing_Content#Importing_from_an_RSS_feed|Importing from an RSS feed]]
+
* [[Importing Content#Importing from an RSS feed|Importing from an RSS feed]] /[[:en:Importing Content#Importing from an RSS feed|en]]
  
 +
<div id="How_do_I_import_from_other_blogging_software.3F">
 
===How do I import from other blogging software?===
 
===How do I import from other blogging software?===
 +
</div>
 
See also:
 
See also:
* [[Importing Content]]
+
* [[Importing Content]] /[[:en:Importing Content|en]]
  
 +
<div id="Upgrading">
 
==Upgrading==
 
==Upgrading==
 +
</div>
  
 +
<div id="What_version_of_WordPress_do_I_have.3F">
 
===What version of WordPress do I have?===
 
===What version of WordPress do I have?===
 +
</div>
  
 
There are several methods to find out what version of WordPress you are using:
 
There are several methods to find out what version of WordPress you are using:
  
* In your <tt>wp-includes</tt> folder of your WordPress installation, open the <tt>version.php</tt> file with any [[Glossary#Text editor|text editor]]. It will tell you the version number of your installation.
+
* In your <tt>wp-includes</tt> folder of your WordPress installation, open the <tt>version.php</tt> file with any [[用語集#Text editor|text editor]]. It will tell you the version number of your installation.
* In the WordPress [[Administration Panels]], on any panel look at the bottom of the screen and the version number will be visible.
+
* In the WordPress [[管理パネル|Administration Panels]], on any panel look at the bottom of the screen and the version number will be visible.
 
* Some Themes include the version number in the footer template. Or you can add it yourself:
 
* Some Themes include the version number in the footer template. Or you can add it yourself:
  
 
<pre><?php bloginfo('version'); ?></pre>
 
<pre><?php bloginfo('version'); ?></pre>
  
 +
<div id="What_should_I_do_when_I_want_to_upgrade_WordPress_to_the_latest_version.3F">
 
===What should I do when I want to upgrade WordPress to the latest version?===
 
===What should I do when I want to upgrade WordPress to the latest version?===
 +
</div>
  
 
See also:
 
See also:
* [[Upgrading WordPress]]
+
* [[WordPress のアップグレード]]
  
 +
<div id="How_do_I_back_up_my_database.3F">
 
===How do I back up my database?===
 
===How do I back up my database?===
 +
</div>
 
See also:
 
See also:
* [[Backing Up Your Database]]
+
* [[データベースのバックアップ]]
  
 +
<div id="How_do_I_restore_my_database.3F">
 
===How do I restore my database?===
 
===How do I restore my database?===
 +
</div>
 
See also:
 
See also:
* [[Restoring Your Database From Backup]]
+
* [[Restoring Your Database From Backup]] /[[:en:Restoring Your Database From Backup|en]]
  
 +
<div id="After_running_upgrade.php_get_the_message_.22It_doesn.27t_look_like_you.27ve_installed_WP_yet._Try_running_install.php..22">
 
===After running upgrade.php get the message "It doesn't look like you've installed WP yet. Try running install.php."===
 
===After running upgrade.php get the message "It doesn't look like you've installed WP yet. Try running install.php."===
After running the [[Upgrading WordPress|WordPress Upgrade]], and clicking on the "Have fun . ." link, it says, "It doesn't look like you've installed WP yet. Try running install.php."  The problem may be that there is not a user with [[Roles_and_Capabilities#Administrator|administrative capabilities]].   
+
</div>
 +
After running the [[WordPress のアップグレード|WordPress Upgrade]], and clicking on the "Have fun . ." link, it says, "It doesn't look like you've installed WP yet. Try running install.php."  The problem may be that there is not a user with [[Roles and Capabilities#Administrator|administrative capabilities]].   
  
To fix that, use [[phpMyAdmin]] to manually give a user those capabilities:  
+
To fix that, use [[phpMyAdmin]]/[[:en:phpMyAdmin|en]] to manually give a user those capabilities:  
# First find the ''ID'' of the user you want to make administrator by looking in the [[Database_Description#Table:_wp_user|wp_user table]].   
+
# First find the ''ID'' of the user you want to make administrator by looking in the [[データベース概要#Table: wp_user|wp_user table]].   
#In the [[Database_Description#Table:_wp_usermeta|wp_usermeta table]], for that ''ID'', find the related ''user_id'', and where the ''meta_key'' is ''wp_capabilites'', change the ''meta_value'' to '''a:1:{s:13:"administrator";b:1;}'''.   
+
#In the [[データベース概要#Table: wp_usermeta|wp_usermeta table]], for that ''ID'', find the related ''user_id'', and where the ''meta_key'' is ''wp_capabilites'', change the ''meta_value'' to '''a:1:{s:13:"administrator";b:1;}'''.   
 
#In that same table, for that ''user_id'', where the ''meta_key'' is ''wp_user_level'', change the ''meta_value'' to a '''10'''.   
 
#In that same table, for that ''user_id'', where the ''meta_key'' is ''wp_user_level'', change the ''meta_value'' to a '''10'''.   
  
290行目: 384行目:
 
*[http://wordpress.org/support/topic/62694?replies=20 WordPress Support Forum Thread from March 2006]
 
*[http://wordpress.org/support/topic/62694?replies=20 WordPress Support Forum Thread from March 2006]
  
 +
<div id="How_do_you_force_a_database_upgrade.3F">
 
===How do you force a database upgrade?===
 
===How do you force a database upgrade?===
 +
</div>
  
 
Under certain situations, it may be necessary to cause a database to pass through the upgrade process again.  To do that, you need to lower the '''db_version''' value in the wp_options table that corresponds to the version you want to upgrade '''from'''.  For instance, if you want to force the datebase upgrade that happens from 2.0.11 to 2.3 you would change your '''db_version''' to '''3441'''.  To force an upgrade from 2.3, 2.3.1, 2.3.2, 2.3.3 to 2.5.1, change that value to '''6124'''.
 
Under certain situations, it may be necessary to cause a database to pass through the upgrade process again.  To do that, you need to lower the '''db_version''' value in the wp_options table that corresponds to the version you want to upgrade '''from'''.  For instance, if you want to force the datebase upgrade that happens from 2.0.11 to 2.3 you would change your '''db_version''' to '''3441'''.  To force an upgrade from 2.3, 2.3.1, 2.3.2, 2.3.3 to 2.5.1, change that value to '''6124'''.
  
 +
<!-- 原文では 2.5 = 7499 となっているが、WPソースでは 7558。再確認の上、原文にも反映 -->
 
<pre>
 
<pre>
 
'''db_version''' for WordPress releases:
 
'''db_version''' for WordPress releases:
 
2.5.1  = 7796
 
2.5.1  = 7796
2.5    = 7499
+
2.5    = 7558
 
2.3.3  = 6124
 
2.3.3  = 6124
 
2.3.2  = 6124
 
2.3.2  = 6124
315行目: 412行目:
 
</pre>
 
</pre>
  
Note: Use [[phpMyAdmin]] to change that value, or use ''wp-admin/options.php''.
+
Note: Use [[phpMyAdmin]]/[[:en:phpMyAdmin|en]] to change that value, or use ''wp-admin/options.php''.
  
 
Once the '''db_version''' is changed, when logging into your blog a link to upgrade the database will be offered.     
 
Once the '''db_version''' is changed, when logging into your blog a link to upgrade the database will be offered.     
322行目: 419行目:
 
[[FAQ|Back to FAQ]]
 
[[FAQ|Back to FAQ]]
  
[[Category:Getting Started]]
+
{{原文|FAQ Installation|56768}}
[[Category:Installation]]
+
 
[[Category:Troubleshooting]]
+
{{DEFAULTSORT:FAQいんすとおる}}
[[Category:WordPress Help]]
+
[[Category:初心者向けトピック]]
 +
[[Category:設置]]
 +
[[Category:トラブルシューティング]]
 +
[[Category:WordPress ヘルプ]]
  
 
[[en:FAQ Installation]]
 
[[en:FAQ Installation]]

2008年4月28日 (月) 02:02時点における版

このページ「FAQ/インストール」は未翻訳です。和訳や日本語情報を加筆してくださる協力者を求めています

目次

Installation

How do I install WordPress?

See also:

What is the Famous 5-Minute Install?

See also:

How do I find a good host for my WordPress blog?

See also:

How do I install using CPanel / CPanel X?

See also:

How do I configure the 'wp-config' file?

See also:

What are the requirements for installing WordPress?

See also:

How do I get WordPress to use my language?

See also:

Do I need to create a database?

WordPress requires access to a MySQL database database to store information. So you need a database.

You can create a new database if:

  1. You have not already created one on the server
  2. Your generous host offers you more than one database, and you wish to have a separate database for the blog you are setting up.

It is not essential to create a new database for each WordPress installation.

  • If you are using the same database for multiple WordPress installations, take care to edit the wp-config.php file ensuring that each installation has a unique database prefix.
  • If you are setting up a new database for a new blog, edit wp-config.php, and be sure to get the database name, and other details correct.

See also:

What is the 403 error I get when trying to see my site?

Symptoms: You cannot seem to login after using the right username and password, into your admin account. You get an error message like:

 You are not authorized to view this page
 You might not have permission to view this
 directory or page using the credentials you 
 supplied. If you believe you should be able 
 to view this directory or page, please try 
 to contact the Web site by using any e-mail 
 address or phone number that may be listed 
 on the personal.fredsmith.com home page. 
 You can click Search to look for information
 on the Internet. HTTP Error 403 - Forbidden''

Solution: If your account is hosted on a Windows server, it could be a problem with the Directory Indexes. The default configuration of the server is to load index.htm, index.html, default.htm, default.html, default.asp files.

Wordpress is done in PHP so the default page is index.php. Now, this is not part of the default configuration so we need to add it. To do this, you need to click on Web Options in the Control Panel. Then scroll down to the Directory Indexes section to add index.php to the Directory Indexes.

If necessary, contact your web host for support in this matter.

Can I rename the WordPress folder?

If you have not already installed WordPress, you can rename the folder with the WordPress files, before, or even after uploading the files.

If you have already installed WordPress, and you want to rename the folder, login to the weblog as the administrator and change the following settings in Options > General:

  • WordPress address (URI):
  • Blog address (URI):

Once you have done this, you can rename the directory or folder with the WordPress files in it.

See also:

How can I reset my password?

See also:

Why is my upload directory "C:apachehtdocswordpress"?

When you specified the upload path, you used backslashes.

Use forward slashes "/" to specify the path to the directory.

Can I install WordPress on Windows 2000?

Do NOT use MySQL database version 4.1.7 if you are trying to get WordPress installed using a Windows platform. Read this post originally made to the forums:

"To all those having problems installing Wordpress on your own Windows 2000 (and other Win OS versions) workstation - and maybe some host servers, too: Do not use MySQL 4.1.7 - it is the problem if you get "Error establishing a database connection!". It does not seem compatible with the other components. Use MYSQL 4.0.22 instead.

Thanks to the Reply by ADAMANT in response to the POST of Nov 6, 2004 02:21:29 by ANTOINE, the Wordpress installation really did become only 5 minutes, after two days of frustration:

I started with Windows 2000, PHP 4.3.9, Apache 1.3.33 and MySQL 4.1.7. I spent two days checking my wp-config.php literally 100 times; making changes; troubleshooting my database, using every known name for my host (localhost, 127.0.0.1, <IP address>, computer name, etc...) to no avail. I kept getting:

"Error establishing a database connection!" ...

I knew it wasn't my config. So thanks to ADAMANT's suggestion, I uninstalled MySQL 4.1.7 and downloaded and installed MySQL 4.0.22 from mysql.org. After installing and configuring the new (old) MySQL, which took approximately 7 minutes (very easy), I ran the install.php once again and YES!! it actually took less than 5 minutes for the Wordpress install.

NOTE: the Apache web site says NOT to use Apache 2 in production. So, after all my wasted time with the latest MySQL, I suggest the following to those who can control their environment:

PHP 4.3.9, Apache 1.3.33 and MySQL 4.0.22. On Windows at least, they all work well together."



Steven

UPDATE: MySQL 4.1.7 uses a new password encryption system that is incompatible with prior methods. If you want to get WordPress working with a 4.1.7 database, you need to make sure your user password is set as an old-style password (password-old instead of password, if you're using mysqladmin). -- Nabil

ADDITIONAL: As stated above by Nabil, you can force Post 4.1.7 MySQL systems to use the old password lengths. From the MySQL command line interface, as a user that can manipulate the mysql tables (most likely root):

USE mysql;
SET PASSWORD FOR 'wordpressuser'@'localhost' = OLD_PASSWORD('somePassword444');
FLUSH PRIVILEGES;

As the normal password methods will result in the new style password function being used. Another hack would be to run the mysql service with --old-passwords, but I've seen the above password method work under 4.1.19 and 4.1.20 on an XP install - Grey

Note: The above are actual user comments, and may be subjective in their content. It is hoped that it will be of help to some users who face the specific problems that are addressed by this question.

Advanced Installation

How do I install WordPress with the files in different directories?

This also answers the questions:

  • How can I have my blog in one folder but my index at root?
  • How can I have people see my blog at www.example.com but keep all the files in www.example.com/wordpress?
  • How do I install WordPress in a different directory than where the index.php resides?

See also:

How can I hide my blog from people?

Whether you are testing a new version of WordPress, setting up a new blog or have some other reason to limit access, the following information may help you keep unwanted visitors out.

Apache

There is no guaranteed way to do this. You can use the .htaccess file (which also contains your permalink code) to check for certain IP addresses and prevent them from viewing your site. This will only stop the IP address, not the person, so if they have access to an allowed IP address, they can get to your page. One tutorial for this is located at Clockwatchers.com

An .htaccess file can also be used to prevent others from "hot-linking" to your images (bandwidth theft) or to set up a password protected blog.

Apache Basic Authentication

To require a password to access your site using .htaccess and .htpasswd: Clockwatchers.com .htpasswd.

Tools that help you create the files necessary to password protect your site: Clockwatchers.com .htaccess And .htpasswd Tools

Note: When your site is accessed the password is encoded weakly using Base64 and can be easily intercepted and decoded.

Windows IIS Basic Authentication

To require a password if your site is hosted on IIS, you can deselect Allow Anonymous Access and select Basic Authentication. You'll also need to have a username with a password.

Note: When your site is accessed the password is encoded weakly using Base64 and can be easily intercepted and decoded.

See also:

Search Engines: Spiders and Bots

Search Engines will index your site and cache your content. If you do not want this to happen, use a file called robots.txt. More details can be found at SearchEngineWorld.com

How can I solve login problems?

See also:

FTP

How do I FTP?

See also:

How do I use Filezilla?

See also:

How do I upload the files and folders?

See also:

How do I CHMOD files?

See also:

MySQL

Do I really need MySQL?

You certainly need the MySQL database server to power your WordPress blog. In fact, WordPress only supports the MySQL database server. Listed are the PHP and MySQL requirements:

  1. 転送 テンプレート:サーバー要件

Can I use a database other than MySQL?

Other databases are not supported at the moment.

There are several other excellent database storage engines, such as PostgreSQL and SQLite that WordPress is interested in supporting in the future. Suppporting multiple databases is trickier than it sounds and is not under active development, although there are plenty of architectural discussions about the best approach to take. Approaches for increasing the number of supported databases are discussed at Using Alternative Databases/en. There is a PostgreSQL port of WordPress available called WordPress-Pg.

Why does WordPress use MySQL?

MySQL is extremely fast. It is also the most widely available database server in the world. Open-source and free, MySQL is supported by thousands of low-cost Linux (and Windows!) hosts, which means a very low barrier to entry for anyone wanting to start a WordPress (or database-driven) website. MySQL's documentation is useful, cogent and thorough. (Note: it may be intimidating if you are new to all this.) Add to all that the fact that users are able to directly manipulate MySQL with phpMyAdmin/en, developed expressly for that purpose, and it is obvious that MySQL is the best choice. Of course, WordPress insists on the best.

PHP

What is phpMyAdmin?

phpMyAdmin is a tool written in PHP intended to handle the administration of MySQL over the Web.

See also:

Do I need to know PHP to use WordPress ?

No. The only time you would modify your WordPress blog with PHP would be when integrating some of the plugins. In most cases clear instructions are given within a text file that accompanies the plugin. Other than that, you would not be changing any of the PHP files.

See also:

Will Wordpress run in PHP Safe Mode?

Most definitely! There are no known issues with any version of WordPress when PHP is running in Safe Mode.

Do I really need PHP?

You certainly need PHP (version 4.1 or newer) to power your WordPress blog. PHP is the scripting language that drives all of WordPress, and without PHP, your server will not be able to interpret the pages that create your weblog.

How do I find out which version of PHP I have?

To get information about your server, you can use the phpinfo() function. This will also give you information about your Apache and PHP version and mod_rewrite.

See also:

Importing

How can I import posts from my current weblog which uses a different blogging tool?

See also:

How do I import from b2?

See also:

How do I import from Movable Type MT?

See also:

How do I import from Blogger?

See also:

How do I import from Text Pattern?

See also:

How do I import from a generic RSS Feed?

See also:

How do I import from other blogging software?

See also:

Upgrading

What version of WordPress do I have?

There are several methods to find out what version of WordPress you are using:

  • In your wp-includes folder of your WordPress installation, open the version.php file with any text editor. It will tell you the version number of your installation.
  • In the WordPress Administration Panels, on any panel look at the bottom of the screen and the version number will be visible.
  • Some Themes include the version number in the footer template. Or you can add it yourself:
<?php bloginfo('version'); ?>

What should I do when I want to upgrade WordPress to the latest version?

See also:

How do I back up my database?

See also:

How do I restore my database?

See also:

After running upgrade.php get the message "It doesn't look like you've installed WP yet. Try running install.php."

After running the WordPress Upgrade, and clicking on the "Have fun . ." link, it says, "It doesn't look like you've installed WP yet. Try running install.php." The problem may be that there is not a user with administrative capabilities.

To fix that, use phpMyAdmin/en to manually give a user those capabilities:

  1. First find the ID of the user you want to make administrator by looking in the wp_user table.
  2. In the wp_usermeta table, for that ID, find the related user_id, and where the meta_key is wp_capabilites, change the meta_value to a:1:{s:13:"administrator";b:1;}.
  3. In that same table, for that user_id, where the meta_key is wp_user_level, change the meta_value to a 10.

Please note that the prefix on those tables and those two meta_keys utilize your database prefix. So if your database prefix is mywp_ then the two tables will be mywp_user and mywp_usermeta and the the two meta_keys will be mywp_capabilities and mywp_user_level.

See also:

How do you force a database upgrade?

Under certain situations, it may be necessary to cause a database to pass through the upgrade process again. To do that, you need to lower the db_version value in the wp_options table that corresponds to the version you want to upgrade from. For instance, if you want to force the datebase upgrade that happens from 2.0.11 to 2.3 you would change your db_version to 3441. To force an upgrade from 2.3, 2.3.1, 2.3.2, 2.3.3 to 2.5.1, change that value to 6124.

'''db_version''' for WordPress releases:
2.5.1  = 7796
2.5    = 7558
2.3.3  = 6124
2.3.2  = 6124
2.3.1  = 6124
2.3    = 6124
2.2.3  = 5183
2.2.x  = 5183
2.2    = 5183
2.1.3  = 4773
2.1.x  = 4773
2.1    = 4772
2.0.11 = 3441
2.0.x  = 3441
2.0    = 3441
1.5.x  = 2541
1.x    = 2540

Note: Use phpMyAdmin/en to change that value, or use wp-admin/options.php.

Once the db_version is changed, when logging into your blog a link to upgrade the database will be offered.


Back to FAQ

最新英語版: WordPress Codex » FAQ Installation最新版との差分